%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-sudoku
Version:	3.10.2
Release:	%mkrel 1
Summary:	GNOME Sudoku game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		http://projects.gnome.org/gnome-games/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.28.3
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
Requires:	python-gi
Requires:	typelib(Gtk) = 3.0
Obsoletes:	gnome-sudoku < 3.8.1

%description
GNOME version of the popular Sudoku Japanese logic game.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --with-help

%files -f %{name}.lang
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/%{name}
%{_iconsdir}/*/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*
%{python_sitelib}/gnome_sudoku
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550504
- new version 3.10.2

* Sat Nov 02 2013 fwang <fwang> 3.10.1-3.mga4
+ Revision: 548896
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541396
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495862
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484280
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480450
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468743
- new version 3.9.90

* Sun Jun 09 2013 fwang <fwang> 3.8.1-4.mga4
+ Revision: 440975
- cleanup  spec

* Sun Jun 09 2013 dams <dams> 3.8.1-3.mga4
+ Revision: 440862
- fix requires

* Sun Jun 09 2013 dams <dams> 3.8.1-2.mga4
+ Revision: 440840
- Better 'Obsoletes'

* Sun Jun 09 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 440835
- imported package gnome-sudoku

